import './index.less';

import React from 'react';

import { Tooltip } from 'antd';

import { QuestionCircleOutlined } from '@ant-design/icons';

import HeaderSearch from '../HeaderSearch';
import NoticeIcon from '../NoticeIcon';
import Avatar from './AvatarDropdown';

const GlobalHeaderRight = props => {
  const { theme, layout } = props;
  let className = 'ant-pro-components-global-header-index-right';

  if (theme === 'dark' && layout === 'top') {
    className = `${className} `;
  }

  return (
    <div className={className}>
      <HeaderSearch
        className="ant-pro-components-global-header-index-action ant-pro-components-global-header-index-search"
        placeholder="站内搜索"
        defaultValue="umi ui"
        options={[
          {
            label: <a href="https://umijs.org/zh/guide/umi-ui.html">umi ui</a>,
            value: 'umi ui',
          },
          {
            label: <a href="next.ant.design">Ant Design</a>,
            value: 'Ant Design',
          },
          {
            label: <a href="https://protable.ant.design/">Pro Table</a>,
            value: 'Pro Table',
          },
          {
            label: <a href="https://prolayout.ant.design/">Pro Layout</a>,
            value: 'Pro Layout',
          },
        ]}
      />
      <Tooltip title="使用文档">
        <a
          style={{
            color: 'inherit',
          }}
          target="_blank"
          href="https://pro.ant.design/docs/getting-started"
          rel="noopener noreferrer"
          className="ant-pro-components-global-header-index-action"
        >
          <QuestionCircleOutlined />
        </a>
      </Tooltip>
      <NoticeIcon className="ant-pro-components-global-header-index-action" />
      <Avatar />
      {/* <SelectLang className={styles.action} /> */}
    </div>
  );
};

export default GlobalHeaderRight;
