import './UserLayout.less';
import { renderRoutes } from 'react-router-config';
import React from 'react';

import { DefaultFooter } from '@ant-design/pro-layout';
import { Helmet, HelmetProvider } from 'react-helmet-async';

import logo from '../assets/logo.svg';

const UserLayout = props => {
  const {
    route = {
      routes: [],
    },
  } = props;
  //   const { formatMessage } = useIntl();
  //   const { breadcrumb } = getMenuData(routes);
  //   const title = getPageTitle({
  //     pathname: location.pathname,
  //     // formatMessage,
  //     // breadcrumb,
  //     ...props,
  //   });
  return (
    <HelmetProvider>
      <Helmet>
        <title />
        {/* <meta name="description" content={title} /> */}
      </Helmet>

      <div className="ant-pro-layouts-user-layout-container">
        <div className="ant-pro-layouts-user-layout-lang">
          {/* <SelectLang /> */}
        </div>
        <div className="ant-pro-layouts-user-layout-content">
          <div className="ant-pro-layouts-user-layout-top">
            <div className="ant-pro-layouts-user-layout-header">
              <img
                alt="logo"
                className="ant-pro-layouts-user-layout-logo"
                src={logo}
              />
              <span className="ant-pro-layouts-user-layout-title">
                Ant Design
              </span>
            </div>
            <div className="ant-pro-layouts-user-layout-desc">
              Ant Design 是西湖区最具影响力的 Web 设计规范
            </div>
          </div>
          {renderRoutes(route.routes)}
        </div>
        <DefaultFooter />
      </div>
    </HelmetProvider>
  );
};

export default UserLayout;
